<html ng-app="app">

<head>
  <script type="text/javascript">
    var myWebSocket;

    function connectToWS() {
      var endpoint = document.getElementById("endpoint").value;
      if (myWebSocket !== undefined) {
        myWebSocket.close()
      }
      myWebSocket = new WebSocket(endpoint);
      myWebSocket.onmessage = function(event) {
        var leng;
        if (event.data.size === undefined) {
          leng = event.data.length
        } else {
          leng = event.data.size
        }
        console.log("onmessage. size: " + leng + ", content: " + event.data);
      }
      myWebSocket.onopen = function(evt) {
        console.log("onopen.");
      };
      myWebSocket.onclose = function(evt) {
        console.log("onclose.");
      };
      myWebSocket.onerror = function(evt) {
        console.log("Error!");
      };
    }

    function sendMsg() {
      var message = document.getElementById("myMessage").value;
      myWebSocket.send(message);
    }

    function createGame() {
      var message = '{"action": "CREATE_GAME", "name": "' + document.getElementById("name").value + '"}';
      // var message = '{"action":"auth", "user_id": ' + document.getElementById("userId").value + '}';
      myWebSocket.send(message);
      // var message = '{"action":"rejoin_game", "game_id": ' + document.getElementById("gameId").value + '}';
      // myWebSocket.send(message);
    }

    function joinGame() {
      var message = '{"action": "JOIN_GAME", "name": "' + document.getElementById("name").value + '", "pin": "' + document.getElementById("pin").value + '"}';
      myWebSocket.send(message);
    }

    function startGame() {
      var message = '{"action":"START_GAME"}';
      myWebSocket.send(message);
    }

    function submitArticle() {
      var message = '{"action": "CHOOSE_ARTICLE", "article": "' + document.getElementById("article").value + '"}';
      myWebSocket.send(message);
    }

    function vote() {
      var message = '{"action": "VOTE", "name": "' + document.getElementById("vote").value + '"}';
      myWebSocket.send(message);
    }

    function playCard() {
      var message = '{"action":"play_card", "card": ' + document.getElementById("card").value + '}';
      myWebSocket.send(message);
    }

    function announceTrumpf() {
      var message = '{"action":"announce_trumpf", "trumpf": ' + document.getElementById("trumpf").value + '}';
      myWebSocket.send(message);
    }

    function schieben() {
      var message = '{"action":"schieben"}';
      myWebSocket.send(message);
    }

    function closeConn() {
      myWebSocket.close();
    }
  </script>
</head>

<body>
  <form> connection to:
    <input type="text" id="endpoint" name="endpoint" value="ws://www.me.com:8086/" style="width: 200px">
    <br>
  </form>
  <input type="button" onclick="connectToWS()" value="connect to WebSocket endpoint" />
  <br><br>
  <form> message:
    <input style="width: 100%;" type="text" id="myMessage" name="myMessage" value='{"action":""}'>
    <br> </form>
  <input type="button" onclick="sendMsg()" value="Send message" />
  <input type="button" onclick="closeConn()" value="Close connection" />
  <br><br>


  <form> name:
    <input type="text" id="name" name="name" value='Ian'>
    game pin:
    <input type="number" id="pin" name="pin" value='0'>
    <br> </form>
  <input type="button" onclick="createGame()" value="Create game" />
  <input type="button" onclick="joinGame()" value="Join game" />
  <input type="button" onclick="startGame()" value="Start game" />
  <form> choose article
    <input type="text" id="article" name="article" value='Blabla'>
  <br> </form>
  <input type="button" onclick="submitArticle()" value="Submit article" />
  <form> vote
    <input type="text" id="vote" name="vote" value=''>
  <br> </form>
  <input type="button" onclick="vote()" value="Vote" />
  <input type="button" onclick="schieben()" value="Schieben" />
</body>

</html>
